org.firebirdsql.gds.ng

## Enum FbBlob.SeekMode

- java.lang.Object
- - java.lang.Enum<FbBlob.SeekMode>
  - - org.firebirdsql.gds.ng.FbBlob.SeekMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FbBlob.SeekMode>
  Enclosing interface:
    FbBlob

      public static enum FbBlob.SeekMode
      extends java.lang.Enum<FbBlob.SeekMode>

  Seek mode for `FbBlob.seek(int, org.firebirdsql.gds.ng.FbBlob.SeekMode)`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABSOLUTE` Absolute seek from start of blob.
    `ABSOLUTE_FROM_END` Absolute seek from end of blob.
    `RELATIVE` Relative seek from current position in blob.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FbBlob.SeekMode` | `getById(int seekModeId)` Get the SeekMode instance by the (Firebird) seekmode id.
    `int` | `getSeekModeId()`
    `static FbBlob.SeekMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FbBlob.SeekMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABSOLUTE

          public static final FbBlob.SeekMode ABSOLUTE

      Absolute seek from start of blob.

    - #### RELATIVE

          public static final FbBlob.SeekMode RELATIVE

      Relative seek from current position in blob.

    - #### ABSOLUTE_FROM_END

          public static final FbBlob.SeekMode ABSOLUTE_FROM_END

      Absolute seek from end of blob.

  - ### Method Detail

    - #### values

          public static FbBlob.SeekMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FbBlob.SeekMode c : FbBlob.SeekMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FbBlob.SeekMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getSeekModeId

          public int getSeekModeId()

      Returns:
        Seek mode value used within Firebird (and the native API, wire protocol)

    - #### getById

          public static FbBlob.SeekMode getById(int seekModeId)

      Get the SeekMode instance by the (Firebird) seekmode id.

      Valid values are:

      - `0` - for `ABSOLUTE`
      - `1` - for `RELATIVE`
      - `2` - for `ABSOLUTE_FROM_END`
      Parameters:
        `seekModeId` - The seekmode id.
      Returns:
        Instance of SeekMode matching the id.
      Throws:
        `java.lang.IllegalArgumentException` - For values that do not have a SeekMode instance.

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.